%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             log4j-jboss-logmanager
Version:          1.1.0
Release:          %mkrel 4
Group:            Development/Java
Summary:          JBoss Log4j Emulation
License:          ASL 2.0
Url:              https://github.com/jboss-logging/log4j-jboss-logmanager
Source0:          https://github.com/jboss-logging/log4j-jboss-logmanager/archive/%{namedversion}.tar.gz
Source1:          LICENSE

BuildRequires:    jboss-parent
BuildRequires:    jboss-modules
BuildRequires:    jboss-logmanager
BuildRequires:    jboss-logging
BuildRequires:    junit
BuildRequires:    maven-local

BuildRequires:    log4j12

BuildArch:        noarch

%description
This package contains the JBoss Log4J Emulation.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n log4j-jboss-logmanager-%{namedversion}

cp %{SOURCE1} .

%pom_remove_plugin :maven-shade-plugin
%pom_xpath_set "pom:dependencies/pom:dependency[pom:artifactId = 'log4j']/pom:version" "12"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE

%files javadoc -f .mfiles-javadoc
%doc LICENSE



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 1.1.0-4.mga6
+ Revision: 977251
- First rebuild of the java stack
- sync package log4j-jboss-logmanager with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Jan 18 2015 daviddavid <daviddavid> 1.1.0-1.mga5
+ Revision: 811226
- Sync with fc21 (update to 1.1.0.Final)
- add missing BuildRequires on liblog4j12-java

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 746831
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Dec 30 2013 dmorgan <dmorgan> 1.0.2-2.mga4
+ Revision: 563298
- imported package log4j-jboss-logmanager


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 03 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.2-1
- Initial packaging


